Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | List of all members
CSEditableContactStringFieldList Class Reference

List of editable contact strings fields. More...

`#import <CSEditableContactStringFieldList.h>`

Inherits CSContactStringFieldList.

## Instance Methods
(void) | - setValues:
| Replaces all string fields with given values if write capability is allowed. More...
(void) | - addItem:
| Add an string to the list if write capability is allowed. More...
(void) | - removeItem:
| Remove an string from the list if write capability is allowed. More...

## Additional Inherited Members
Properties inherited from CSContactMultiValueField
NSArray * | values
| Return NSArray of field values. More...
BOOL | isEmpty
| Returns YES if field is empty. More...
NSUInteger | size
| Returns size of values field. More...
Properties inherited from CSContactField
CSCapability * | writeCapability
| Write capability for particular field. More...
CSProviderSourceType | source
| Provider source type for particular field. More...

## Detailed Description

List of editable contact strings fields.

## Method Documentation

- (void) addItem: |  | (CSEditableContactStringField *) | string |

Add an string to the list if write capability is allowed.

Otherwise no action.

Parameters

  string | an object of type CSEditableContactStringField values to add.

- (void) removeItem: |  | (CSEditableContactStringField *) | string |

Remove an string from the list if write capability is allowed.

Otherwise no action.

Parameters

  string | an object of type CSEditableContactStringFieldList values to add.

- (void) setValues: |  | (NSArray *) | strings |

Replaces all string fields with given values if write capability is allowed.

Otherwise no action.

Parameters

  strings | array of CSEditableContactStringField values to set.

The documentation for this class was generated from the following file:

- CSEditableContactStringFieldList.h